Subject: RFC 4595 erratum

From: Alfred Hönes <[email-masked]>
Date: Sat, 12 Aug 2006 15:50:22 +0200 (MESZ)

Hello,
reading the recently published RFC 4595 (IKEv2 in FC-SP)
authored by you, I unfortunately discovered in that document
another instance of a "very popular" outdated Normative Reference:

In Section 7.1, on page 14, RFC 4595 says:

   [NIST.180-1.1995]
              National Institute of Standards and Technology, "Secure
              Hash Standard", NIST 180-1, April 1995.

(This Ref. appears only once in the RFC text, in Section 3.2,
just above the bottom of page 8.)

FIPS-PUB 180-1 has been obsoleted long ago by FIPS-PUB 180-2,
issued "2002 August 1".  FIPS-PUB 180-2 contains a re-formulation
of SHA-1 fitted into the new framework used to describe the
additional SHA versions also contained therein.

The current revision of the NIST's Secure Hash Standard is
   "FIPS-PUB 180-2 + Change Notice 1",
issued "2004 Feb 25", which has added SHA-224 to the repertoire.

If NIST publications are used as References in IETF publications,
current revisions should be used.

In the case of SHA-1, perhaps preferrably, RFC 3174 is available
as a (secondary) dedicated reference that will not change.

Best regards,
  Alfred Hönes.

-- 

+------------------------+--------------------------------------------+
| TR-Sys Alfred Hoenes   |  Alfred Hoenes   Dipl.-Math., Dipl.-Phys.  |
| Gerlinger Strasse 12   |  Phone: (+49)7156/9635-0, Fax: -18         |
| D-71254  Ditzingen     |  E-Mail:  [email-masked]                     |
+------------------------+--------------------------------------------+